Package io.vertx.grpc.stub

## Class ClientCalls

- java.lang.Object
- - io.vertx.grpc.stub.ClientCalls

-     public final class ClientCalls
      extends Object

  Author:
    Rogelio Orts, Eduard Català

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <I,​O> ReadStream<O>` | `manyToMany​(io.vertx.core.internal.ContextInternal ctx, Handler<WriteStream<I>> requestHandler, Function<StreamObserver<O>,​StreamObserver<I>> delegate)` |
    `static <I,​O> ReadStream<O>` | `manyToMany​(io.vertx.core.internal.ContextInternal ctx, Handler<WriteStream<I>> requestHandler, Function<StreamObserver<O>,​StreamObserver<I>> delegate, Handler<Throwable> exceptionHandler)` |
    `static <I,​O> ReadStream<O>` | `manyToMany​(io.vertx.core.internal.ContextInternal ctx, Handler<WriteStream<I>> requestHandler, Function<StreamObserver<O>,​StreamObserver<I>> delegate, Handler<O> handler, Handler<Void> endHandler, Handler<Throwable> exceptionHandler)` |
    `static <I,​O> Future<O>` | `manyToOne​(io.vertx.core.internal.ContextInternal ctx, Handler<WriteStream<I>> requestHandler, Function<StreamObserver<O>,​StreamObserver<I>> delegate)` |
    `static <I,​O> ReadStream<O>` | `oneToMany​(io.vertx.core.internal.ContextInternal ctx, I request, BiConsumer<I,​StreamObserver<O>> delegate)` |
    `static <I,​O> ReadStream<O>` | `oneToMany​(io.vertx.core.internal.ContextInternal ctx, I request, BiConsumer<I,​StreamObserver<O>> delegate, Handler<O> handler, Handler<Void> endHandler, Handler<Throwable> exceptionHandler)` |
    `static <I,​O> Future<O>` | `oneToOne​(io.vertx.core.internal.ContextInternal ctx, I request, BiConsumer<I,​StreamObserver<O>> delegate)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### oneToOne

          public static <I,​O> Future<O> oneToOne​(io.vertx.core.internal.ContextInternal ctx,
                                                       I request,
                                                       BiConsumer<I,​StreamObserver<O>> delegate)

    - #### oneToMany

          public static <I,​O> ReadStream<O> oneToMany​(io.vertx.core.internal.ContextInternal ctx,
                                                            I request,
                                                            BiConsumer<I,​StreamObserver<O>> delegate)

    - #### oneToMany

          public static <I,​O> ReadStream<O> oneToMany​(io.vertx.core.internal.ContextInternal ctx,
                                                            I request,
                                                            BiConsumer<I,​StreamObserver<O>> delegate,
                                                            Handler<O> handler,
                                                            Handler<Void> endHandler,
                                                            Handler<Throwable> exceptionHandler)

    - #### manyToOne

          public static <I,​O> Future<O> manyToOne​(io.vertx.core.internal.ContextInternal ctx,
                                                        Handler<WriteStream<I>> requestHandler,
                                                        Function<StreamObserver<O>,​StreamObserver<I>> delegate)

    - #### manyToMany

          public static <I,​O> ReadStream<O> manyToMany​(io.vertx.core.internal.ContextInternal ctx,
                                                             Handler<WriteStream<I>> requestHandler,
                                                             Function<StreamObserver<O>,​StreamObserver<I>> delegate)

    - #### manyToMany

          public static <I,​O> ReadStream<O> manyToMany​(io.vertx.core.internal.ContextInternal ctx,
                                                             Handler<WriteStream<I>> requestHandler,
                                                             Function<StreamObserver<O>,​StreamObserver<I>> delegate,
                                                             Handler<Throwable> exceptionHandler)

    - #### manyToMany

          public static <I,​O> ReadStream<O> manyToMany​(io.vertx.core.internal.ContextInternal ctx,
                                                             Handler<WriteStream<I>> requestHandler,
                                                             Function<StreamObserver<O>,​StreamObserver<I>> delegate,
                                                             Handler<O> handler,
                                                             Handler<Void> endHandler,
                                                             Handler<Throwable> exceptionHandler)